*
{
    -webkit-tap-highlight-color: transparent;
    outline: none;
}
body{ 
    margin: 0;
    background: radial-gradient(circle at center,  #d9dddd, #ECF0F1 );
    font-family: 'Montserrat';
    
}
@font-face {
    font-family: 'Montserrat'; 
    src: url("../Tipografia/static/Montserrat-Bold.ttf") format("truetype"); 
    font-weight: bold; 
    font-style: normal;
}
.body__header
{
    position: sticky;
    top: -.5%;
    user-select: none;
    z-index: 1000;
    box-sizing: border-box;
    background: radial-gradient(circle at center,  #d9dddd, #ECF0F1 );
    box-shadow: 0px 0px 40px 10px #0007;
    color: #E5E5E5;
}
.header__nav
{
    display: flex;
    font-size: 1em;
    box-sizing: border-box;
    flex-flow: row nowrap;
    flex-shrink: 1;
    z-index: 20;
    align-items: center;
    gap: 20%;
    font-weight: normal;
}
.nav__logo{
    flex-grow: 1;
    box-sizing: border-box;
    line-height: 1;
    margin: 0;
    padding: 0;
}
.logo__img
{
    width: 11em;
    user-select: none;
    padding: 0.5em 0 0.5em 0em ;
    cursor: pointer;
    margin: 0;
    margin-left: 4em;
}
.nav__links
{
    flex-grow: 2;
    padding: 2%;
    display: flex;
    overflow: hidden;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
    flex-flow: row wrap;
    gap: 5%;
}
.links__elementos{
    text-decoration: none;
    text-transform: uppercase; 
    color: #121212; 
    transition: all ease 0.5s;
    user-select: none; 
}
.links__elementos:hover
{
    color: #01015f;
    text-shadow: 0 0 1px #f88;
}
.links__elementos::before
{
    content: "|";
    text-shadow: none;
    color: #121212; 
    font-size: x-large;
    font-weight: normal;
    position: relative;
    margin: 0;
    left: -1vw;
}
.nav__boton
{
    display: none;
    margin-right: 10%;
    transition: all ease 0.3s;
    padding: 1% 3%;
    border-radius: 100em;
    color: #121212;
    background-color: transparent;
    border: none;
    font-size:xx-large;
}
.nav__boton:active
{
    background-color: #01015f83;
}
.nav__menu
{
    display: none;
    justify-content: center;
    align-items: center;
    height: 150%;
    width: 100%;
    position: absolute;
    z-index: 50;
    flex-grow: 1;
    background: radial-gradient(circle at center,  #d9dddd, #ECF0F1 );
    overflow: hidden;
}
.menu__links
{
    display: flex;
    gap: 2em;
    font-size: x-large;
    flex-direction: column;
    margin-left: 2%;
    margin-bottom: 90%;
}
/*
Aqui acaba el css del header y nav. Empieza el css del contenido
*/
.body__article, .article__aside
{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.aside--form
{
    flex-direction: row;
    margin-top: 4em;
    justify-content:space-between;
    gap: 10em;
}
.aside__h1
{
    font-size: xx-large;
    letter-spacing: 2px;
    text-transform: uppercase;
}
.aside__p
{
    font-size: medium;
    text-align: center;
    padding: 0% 2%;
    font-weight: 600;
    text-shadow: 0 0 2px rgb(160, 159, 159);
}
.aside__form
{
    display: flex;
    flex-direction: column;
    gap: 2em;
}
.form__fieldset
{
    display: flex;
    flex-direction: row;
    flex: 1;
    justify-content: center;
    align-items: center;
    gap: 2em;
    border: none;
}
.fieldset__legend
{
    position: relative;
    left: 1.7%;
}
.fieldset__div
{
    display: flex;
    padding: 2% 0 2% 2%;
    gap: 5px; 
    flex-direction:column;
}
.div__label
{
    font-weight: 500;
    font-size:x-small;
    margin-left: 2%;
}
.div__input
{
    padding: 5px 10px;
    border: none;
    border-bottom: 6px solid #3a3a3a ;
    border-radius: 5px;
    background: radial-gradient(circle at center,  #d9dddd, transparent );
    transition: all 0.3s ease;
}
.div__input:focus
{
    scale: 1.1;
    border-color: #01015f !important;
}
.div__input:valid 
    {
    border-color: #4caf50;
    }
    .div__input:invalid 
    {
    border-color: #f44336;
    }
    .div__input:placeholder-shown
    {
        border-color: #3a3a3a;
    }
    .input--doble
    {
        width: 17.5em;
    }
    .input--entero
    {
        width: 40em;
    }
#mensaje
{
    resize: none;
}
.aside__div
{
    display: flex;
    flex: 1;
    flex-direction: column;

}
.div--seccion
{
    flex-grow: 1;
    flex: 1;
    border-bottom: #2E2E2E solid 2px;
    border-radius: 2px;
    padding: 0 1em 0 0;
}
.div--contenedor
{
    margin-bottom: 10em;
        gap: 4em;
}
.aside__button
{
    background: linear-gradient(145deg, #0f6c94, #01015f);
    color: #f5f5f5;
    font-size: 1.2rem;
    max-width: 10em;
    user-select: none;
    font-weight: normal;
    padding: 5px 10px;
    border: none;
    border-radius: 10px;
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    transition: all 0.3s ease;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 5em;
    margin-left: 1.1em;
}
.aside__button:hover
{
    background: linear-gradient(145deg, #0f6c94, #01015f);
    box-shadow: 0 12px 20px rgba(0, 0, 0, 0.5);
    transform: scale(1.1);
}
.aside__button:active 
{
    transform: scale(0.9);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.5);
}
.form__mensaje
    {
        
        background-color: transparent;
        padding: 2%;
        text-align: center;
        border: #01015f solid 2px;
        border-radius: 10px;
        display: none;
    }
    .mensaje__texto
    {
        text-transform: uppercase;
        font-weight: bold;
    }
    .p--link{
    margin: auto;
    text-decoration: none;
    color: #01015f;
    margin-bottom: 5px;
}
/* 
Aqui acaba el css del contenido. Empieza el css del footer
*/
.body__footer
{
    position: static;
    display: flex;
    flex-grow: 1;
    width: 100%;
    padding: 2% 6%;
    z-index: 10;
    overflow: hidden;
    box-sizing: border-box;
    background: radial-gradient(circle at center,  #2E2E2E, #121212);
    box-shadow: 0px 0px 40px 10px #0007;
    color: #E5E5E5;
}
.footer__Fnav
{
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    gap: 2em;
    justify-content: center;
}

.Fnav__seccion
{
    flex-grow: 1;
    flex: 1;
    border-radius: 2px;
    border-bottom: #E5E5E5 solid 3px !important;
    max-width: 30%;
    border-radius: 3px;
    min-width: 20em;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.seccion__titulo
{
    text-transform: uppercase;
    font-size: medium;
    font-weight: bold;
    letter-spacing:3px;
}
@media screen and (max-width: 1200px) 
{
    .header__nav
{
    gap: 10%;
}
}
@media screen and (max-width: 700px) 
{
    .aside__h1
    {
        letter-spacing: 2px;
        font-size: 4em;
    }
}
@media screen and (max-width: 640px) {
    .nav__links
    {
        display: none;
    }
    .nav__boton
    {
        display: inline-block;
    }
    .logo__img
    {
        margin-left: 2em;
    }
    .footer__Fnav , .article2__aside
    {
        flex-direction: column;
    }
    .aside__h1
    {
        letter-spacing: 2px;
        font-size: 3em;
    }
    .aside--form
    {
        flex-direction: column;
        gap: 0;
        justify-content: center;
        align-items: center;
    }
    .input--doble
    {
        width: 10em;
    }
    .input--entero
    {
        width: 25em;
    }
    .div--contenedor
    {
        margin-bottom: 2em;
    }
    .aside__button
    {
        margin-left: 25%;
    }
}
@media screen and (max-width: 430px) 
{
    .aside__h1
    {
        letter-spacing: 1px;
        font-size: 2em;
    }
    .aside__p
    {
        font-size: small;
    }
}
@media screen and (max-width: 1075px) 
{
    
    .aside--form
    {
        flex-direction: column;
        gap: 0;
        justify-content: center;
        align-items: center;
    }
    .div--contenedor
    {
        margin-bottom: 2em;
    }
}
@media screen and (max-width: 387px) 
{
    .input--doble
    {
        width: 7.7em;
    }
    .input--entero
    {
        width: 20em;
    }
}
.no-scroll
{
    overflow: hidden;
}